import { StorageStatisticsSegmentDto } from "../../../statistics/storage/dtos/StorageStatisticsSegmentDto";
import { UploadStatisticsDto } from "../../../statistics/storage/dtos/UploadStatisticsDto";
export interface StorageStatisticsDto {
    caches: {
        [cacheId: string]: StorageStatisticsSegmentDto | undefined;
    };
    uploads: UploadStatisticsDto;
}
export interface StorageStatisticsUnboxedDto {
    caches: {
        [cacheId: string]: StorageStatisticsSegmentDto | null;
    };
    uploads: UploadStatisticsDto;
}
export declare namespace StorageStatisticsDto {
    const empty: StorageStatisticsDto;
    function combine(left: StorageStatisticsDto, right: StorageStatisticsDto): StorageStatisticsDto;
}
